Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize.transition
Class FastStringBuffer

    java.lang.Object
      |
      +--org.apache.xml.serialize.transition.FastStringBuffer

public class FastStringBuffer
extends java.lang.Object

Bare-bones, unsafe, fast string buffer.

Field Summary
`int` | `m_blocksize`
`int` | `m_firstFree`
`char[]` | `m_map`
`int` | `m_mapSize`

Constructor Summary
`FastStringBuffer(int blocksize)` Construct a IntVector, using the given block size.

Method Summary
`void` | `append(char value)` Append a int onto the vector.
`void` | `append(char[] chars, int start, int length)`
`void` | `append(FastStringBuffer value)`
`void` | `append(java.lang.String value)` Append a int onto the vector.
`void` | `append(java.lang.StringBuffer value)` Append a int onto the vector.
`int` | `length()`
`void` | `reset()`
`void` | `setLength(int l)`
`int` | `size()` Get the length of the list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_blocksize

    public int m_blocksize

### m_map

    public char[] m_map

### m_firstFree

    public int m_firstFree

### m_mapSize

    public int m_mapSize

Constructor Detail

### FastStringBuffer

    public FastStringBuffer(int blocksize)

  Construct a IntVector, using the given block size.

Method Detail

### size

    public final int size()

  Get the length of the list.

### length

    public final int length()

### reset

    public final void reset()

### setLength

    public final void setLength(int l)

### append

    public final void append(char value)

  Append a int onto the vector.

### append

    public final void append(java.lang.String value)

  Append a int onto the vector.

### append

    public final void append(java.lang.StringBuffer value)

  Append a int onto the vector.

### append

    public final void append(char[] chars,
                             int start,
                             int length)

### append

    public final void append(FastStringBuffer value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.